ITPub博客

首页 > IT基础架构 > 网络安全 > The value for the useBean class attribute SecurityOrgPages is invalid. in tomcat 5.5

The value for the useBean class attribute SecurityOrgPages is invalid. in tomcat 5.5

原创 网络安全 作者:nmtcolin 时间:2008-04-16 17:02:34 0 删除 编辑

Aproject work fine in tomcat 4.1, but upgrade apache-tomcat-4.1.34/jdk 1.4 to apache-tomcat-5.5.25, jdk 1.5, ecounter the following error.

type Exception report

message

description The server encountered an internal error () that prevented it from fulfilling this request.

exception

org.apache.jasper.JasperException: /jsp/security/securityOrgPages.jsp(4,0) The value for the useBean class attribute SecurityOrgPages is invalid.
org.apache.jasper.compiler.DefaultErrorHandler.jspError(DefaultErrorHandler.java:40)
org.apache.jasper.compiler.ErrorDispatcher.dispatch(ErrorDispatcher.java:407)
org.apache.jasper.compiler.ErrorDispatcher.jspError(ErrorDispatcher.java:148)
org.apache.jasper.compiler.Generator$GenerateVisitor.visit(Generator.java:1175)
org.apache.jasper.compiler.Node$UseBean.accept(Node.java:1117)
org.apache.jasper.compiler.Node$Nodes.visit(Node.java:2166)
org.apache.jasper.compiler.Node$Visitor.visitBody(Node.java:2216)
org.apache.jasper.compiler.Node$Visitor.visit(Node.java:2222)
org.apache.jasper.compiler.Node$Root.accept(Node.java:457)
org.apache.jasper.compiler.Node$Nodes.visit(Node.java:2166)
org.apache.jasper.compiler.Generator.generate(Generator.java:3322)
org.apache.jasper.compiler.Compiler.generateJava(Compiler.java:199)
org.apache.jasper.compiler.Compiler.compile(Compiler.java:296)
org.apache.jasper.compiler.Compiler.compile(Compiler.java:277)
org.apache.jasper.compiler.Compiler.compile(Compiler.java:265)
org.apache.jasper.JspCompilationContext.compile(JspCompilationContext.java:564)
org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:302)
org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:329)
org.apache.jasper.servlet.JspServlet.service(JspServlet.java:265)
javax.servlet.http.HttpServlet.service(HttpServlet.java:803)
com.newmodern.etm.security.servlet.SecurityOrgServlet.service(SecurityOrgServlet.java:367)
javax.servlet.http.HttpServlet.service(HttpServlet.java:803)


note The full stack trace of the root cause is available in the Apache Tomcat/5.5.25 logs.

in jsp /jsp/security/securityOrgPages.jsp change below bean classs as absolute path ok, why??? but it work fine in tomcat 4.1.

<%@ page import="com.xxxxxx.xxx.security.entity.*" %>

Solution:

[@more@]

来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/4082/viewspace-1002625/,如需转载,请注明出处,否则将追究法律责任。

请登录后发表评论 登录
全部评论
radarlab 金融其实很简单!

注册时间:2009-02-10

  • 博文量
    31
  • 访问量
    602306